<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <Platforms>AnyCPU;x64</Platforms>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Fonts\SCDream1.otf" />
    <None Remove="Fonts\SCDream2.otf" />
    <None Remove="Fonts\SCDream3.otf" />
    <None Remove="Fonts\SCDream4.otf" />
    <None Remove="Fonts\SCDream5.otf" />
    <None Remove="Fonts\SCDream6.otf" />
    <None Remove="Fonts\SCDream7.otf" />
    <None Remove="Fonts\SCDream8.otf" />
    <None Remove="Fonts\SCDream9.otf" />
    <None Remove="Resources\Images\ListImage.png" />
    <None Remove="Resources\Images\tab_bg.png" />
    <None Remove="Resources\Images\tab_bg_off.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MaterialDesignColors" Version="5.2.1" />
    <PackageReference Include="MaterialDesignThemes" Version="5.2.1" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Fonts\SCDream1.otf" />
    <Resource Include="Fonts\SCDream2.otf" />
    <Resource Include="Fonts\SCDream3.otf" />
    <Resource Include="Fonts\SCDream4.otf" />
    <Resource Include="Fonts\SCDream5.otf" />
    <Resource Include="Fonts\SCDream6.otf" />
    <Resource Include="Fonts\SCDream7.otf" />
    <Resource Include="Fonts\SCDream8.otf" />
    <Resource Include="Fonts\SCDream9.otf" />
    <Resource Include="Resources\Images\ListImage.png" />
    <Resource Include="Resources\Images\tab_bg.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\Images\tab_bg_off.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
  </ItemGroup>

</Project>
